org.appng.tools.ui

## Class Pagination

- java.lang.Object
- - org.appng.tools.ui.Pagination

-     public class Pagination
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `chunk`
    `protected String` | `chunkname`
    `protected int` | `chunksize`
    `protected int` | `firstchunk`
    `protected int` | `hitRangeEnd`
    `protected int` | `hitRangeStart`
    `protected int` | `hits`
    `protected int` | `lastchunk`
    `protected int` | `maxhits`
    `protected int` | `nextchunk`
    `protected int` | `previouschunk`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Pagination(Chunk chunkParam)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `calculatePagination(int hits, int maxHits)`
    `int` | `getChunk()`
    `String` | `getChunkname()`
    `int` | `getChunksize()`
    `int` | `getFirstchunk()`
    `int` | `getHitRangeEnd()`
    `int` | `getHitRangeStart()`
    `int` | `getHits()`
    `int` | `getLastchunk()`
    `int` | `getMaxhits()`
    `int` | `getNextchunk()`
    `static Pagination` | `getPagination(int hits, int maxHits, Chunk chunkParam)`
    `int` | `getPreviouschunk()`
    `void` | `setChunk(int chunk)`
    `void` | `setChunkname(String chunkname)`
    `void` | `setChunksize(int chunksize)`
    `void` | `setFirstchunk(int firstchunk)`
    `void` | `setHitRangeEnd(int hitRangeEnd)`
    `void` | `setHitRangeStart(int hitRangeStart)`
    `void` | `setHits(int hits)`
    `void` | `setLastchunk(int lastchunk)`
    `void` | `setMaxhits(int maxhits)`
    `void` | `setNextchunk(int nextchunk)`
    `void` | `setPreviouschunk(int previouschunk)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chunk

          protected int chunk

    - #### chunkname

          protected String chunkname

    - #### chunksize

          protected int chunksize

    - #### nextchunk

          protected int nextchunk

    - #### previouschunk

          protected int previouschunk

    - #### firstchunk

          protected int firstchunk

    - #### lastchunk

          protected int lastchunk

    - #### hits

          protected int hits

    - #### maxhits

          protected int maxhits

    - #### hitRangeStart

          protected int hitRangeStart

    - #### hitRangeEnd

          protected int hitRangeEnd

  - ### Constructor Detail

    - #### Pagination

          public Pagination(Chunk chunkParam)

  - ### Method Detail

    - #### getPagination

          public static final Pagination getPagination(int hits,
                                                       int maxHits,
                                                       Chunk chunkParam)

    - #### calculatePagination

          public void calculatePagination(int hits,
                                          int maxHits)

    - #### getChunk

          public int getChunk()

    - #### setChunk

          public void setChunk(int chunk)

    - #### getChunkname

          public String getChunkname()

    - #### setChunkname

          public void setChunkname(String chunkname)

    - #### getChunksize

          public int getChunksize()

    - #### setChunksize

          public void setChunksize(int chunksize)

    - #### getNextchunk

          public int getNextchunk()

    - #### setNextchunk

          public void setNextchunk(int nextchunk)

    - #### getPreviouschunk

          public int getPreviouschunk()

    - #### setPreviouschunk

          public void setPreviouschunk(int previouschunk)

    - #### getFirstchunk

          public int getFirstchunk()

    - #### setFirstchunk

          public void setFirstchunk(int firstchunk)

    - #### getLastchunk

          public int getLastchunk()

    - #### setLastchunk

          public void setLastchunk(int lastchunk)

    - #### getHits

          public int getHits()

    - #### setHits

          public void setHits(int hits)

    - #### getMaxhits

          public int getMaxhits()

    - #### setMaxhits

          public void setMaxhits(int maxhits)

    - #### getHitRangeStart

          public int getHitRangeStart()

    - #### setHitRangeStart

          public void setHitRangeStart(int hitRangeStart)

    - #### getHitRangeEnd

          public int getHitRangeEnd()

    - #### setHitRangeEnd

          public void setHitRangeEnd(int hitRangeEnd)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.